<?php
/**
* 404 Page Settings.
*
* @package Fruits Farming
*/

$fruits_farming_default = fruits_farming_get_default_theme_options();

$wp_customize->add_section( 'fruits_farming_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'fruits-farming' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'fruits_farming_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'fruits_farming_404_main_title',
    array(
        'default'           => $fruits_farming_default['fruits_farming_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'fruits_farming_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'fruits-farming' ),
        'section'  => 'fruits_farming_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'fruits_farming_404_subtitle_one',
    array(
        'default'           => $fruits_farming_default['fruits_farming_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'fruits_farming_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'fruits-farming' ),
        'section'  => 'fruits_farming_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'fruits_farming_404_para_one',
    array(
        'default'           => $fruits_farming_default['fruits_farming_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'fruits_farming_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'fruits-farming' ),
        'section'  => 'fruits_farming_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'fruits_farming_404_subtitle_two',
    array(
        'default'           => $fruits_farming_default['fruits_farming_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'fruits_farming_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'fruits-farming' ),
        'section'  => 'fruits_farming_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'fruits_farming_404_para_two',
    array(
        'default'           => $fruits_farming_default['fruits_farming_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'fruits_farming_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'fruits-farming' ),
        'section'  => 'fruits_farming_404_page_settings',
        'type'     => 'text',
    )
);